{{- if .Values.gitalyctl.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "common.names.fullname" . }}
  labels: {{- include "gitalyctl.labels" $ | nindent 4 }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
data:
  gitalyctl-storage-drain-config.yml: |
    {{- toYaml .Values.gitalyctl.config | nindent 4 }}
{{- end }}
